import { TerraDrawAdapterStyling } from "../../common";
import { ModeTypes, TerraDrawBaseDrawMode } from "../base.mode";
type StaticModeStylingExt<T extends TerraDrawAdapterStyling> = {};
type StaticModeStyling = StaticModeStylingExt<TerraDrawAdapterStyling>;
export declare class TerraDrawStaticMode extends TerraDrawBaseDrawMode<StaticModeStyling> {
    type: ModeTypes;
    mode: string;
    start(): void;
    stop(): void;
    onKeyUp(): void;
    onKeyDown(): void;
    onClick(): void;
    onDragStart(): void;
    onDrag(): void;
    onDragEnd(): void;
    onMouseMove(): void;
    cleanUp(): void;
    styleFeature(): {
        pointColor: `#${string}`;
        pointWidth: number;
        pointOutlineColor: `#${string}`;
        pointOutlineWidth: number;
        polygonFillColor: `#${string}`;
        polygonFillOpacity: number;
        polygonOutlineColor: `#${string}`;
        polygonOutlineWidth: number;
        lineStringWidth: number;
        lineStringColor: `#${string}`;
        zIndex: number;
    };
}
export {};
